//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

abstract class chatbox_hook_loadJSandCSS extends _HOOK_CLASS_
{

	protected static function baseJs()
	{
		try
		{
			parent::baseJS();
			
			\IPS\Output::i()->jsFiles = array_merge( \IPS\Output::i()->jsFiles, \IPS\Output::i()->js( 'livestamp/moment.js', 'chatbox', 'interface' ) );		
			\IPS\Output::i()->jsFiles = array_merge( \IPS\Output::i()->jsFiles, \IPS\Output::i()->js( 'livestamp/livestamp.min.js', 'chatbox', 'interface' ) );
			\IPS\Output::i()->jsFiles = array_merge( \IPS\Output::i()->jsFiles, \IPS\Output::i()->js( 'front_chatbox.js', 'chatbox', 'front' ) );
	
			\IPS\Output::i()->jsVars['chatbox_member_id'] = \IPS\Member::loggedIn()->member_id > 0 ? \IPS\Member::loggedIn()->member_id : 0;
			\IPS\Output::i()->jsVars['chatbox_member_name'] = \IPS\Member::loggedIn()->member_id > 0 ? \IPS\Member::loggedIn()->name : \IPS\Request::i()->cookie[ 'chatbox_guestName' ];
			\IPS\Output::i()->jsVars['chatbox_popup_height'] = 430;
			\IPS\Output::i()->jsVars['chatbox_bar_mini'] = \IPS\Settings::i()->chatbox_bar_mini_devices;
			\IPS\Output::i()->jsVars['chatbox_momentLocale'] = \IPS\Settings::i()->chatbox_time_moment_locale;
			
			if ( ! \IPS\Request::i()->isAjax() )
			{
				\IPS\Output::i()->jsVars['chatbox_emoticons'] = \IPS\Application::load('chatbox')->ipsEmoticons();
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

	public static function baseCss()
	{
		try
		{
			parent::baseCss();
			
			\IPS\Output::i()->cssFiles = array_merge( \IPS\Output::i()->cssFiles, \IPS\Theme::i()->css( 'main.css', 'chatbox', 'front' ) );
			\IPS\Output::i()->cssFiles = array_merge( \IPS\Output::i()->cssFiles, \IPS\Theme::i()->css( 'skins.css', 'chatbox', 'front' ) );
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
}
