<?php


namespace IPS\chatbox\modules\admin\chatbox;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * tools
 */
class _tools extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'tools_manage' );
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('menu__chatbox_chatbox_tools');
		\IPS\Output::i()->output = \IPS\Theme::i()->getTemplate('tools', 'chatbox', 'admin')->tools();
	}
	
	/**
	 * Delete room's messages
	 */
	protected function cleanRooms()
	{
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack('chatbox_cleaning_msg');
		
		$perGo = 2;
				
		$multiRedirectUrl = \IPS\Http\Url::internal( 'app=chatbox&module=chatbox&controller=tools&do=cleanRooms' );
		if ( (int) \IPS\Request::i()->sys == 1 )
		{
			$where[] = array( 'system IS NOT NULL' );
			$multiRedirectUrl = $multiRedirectUrl->setQueryString( 'sys', 1 );
		}
		
		$total = \IPS\Db::i()->select( 'COUNT(*)', 'chatbox_messages', $where )->first();
		if ( ! \IPS\Request::i()->totalMsg )
		{
			$multiRedirectUrl = $multiRedirectUrl->setQueryString( 'totalMsg', $total );
		}
		
		\IPS\Output::i()->output = new \IPS\Helpers\MultipleRedirect( $multiRedirectUrl, 
		function( $doneSoFar ) use( $perGo, $where )
		{		
			if ( ! \IPS\Request::i()->totalMsg )
			{
				return NULL;
			}
			
			\IPS\Db::i()->delete( 'chatbox_messages', $where, NULL, $perGo );

			$doneSoFar += $perGo;
			
			if ( $doneSoFar - $perGo >= \IPS\Request::i()->totalMsg )
			{
				return NULL;
			}
	
			return array( $doneSoFar, \IPS\Member::loggedIn()->language()->addToStack( 'chatbox_cleaning_msg_txt' , FALSE, array( 'sprintf' => $doneSoFar > \IPS\Request::i()->totalMsg ? \IPS\Request::i()->totalMsg : $doneSoFar . '/' . \IPS\Request::i()->totalMsg ) ), ( 100 * $doneSoFar ) / \IPS\Request::i()->totalMsg );
		}, 
		function()
		{
			\IPS\Output::i()->redirect( \IPS\Http\Url::internal( 'app=chatbox&module=chatbox&controller=tools' ), 'completed' );			
		} );	
	}













	 
}